## HTTPClient
Class VerifyDigest

    java.lang.Object
      HTTPClient.VerifyDigest

All Implemented Interfaces:
  GlobalConstants, HashVerifier

class VerifyDigest
extends Object
implements HashVerifier, GlobalConstants

This verifies the "digest" from rfc-2069

Field Summary
`static int` `CD_0`
`static int` `CD_CHUNKED`
`static int` `CD_CLOSE`
`static int` `CD_CONTLEN`
`static int` `CD_HDRS`
`static int` `CD_MP_BR`
`static int` `CD_NONE` Content delimiters
`static int` `HTTP` possible http protocols we (might) handle
`static int` `HTTP_1_0` some known http versions
`static int` `HTTP_1_1`
`static int` `HTTP_NG`
`static int` `HTTPS`
`static int` `SHTTP`

Constructor Summary
`VerifyDigest(String HA1, String nonce, String method, String uri, String hdr, RoResponse resp)`

Method Summary
`void` `verifyHash(byte[] hash, long len)` This method is invoked when a digest of a stream has been calculated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP

    public static final int HTTP

  possible http protocols we (might) handle

  See Also:
    Constant Field Values

### HTTPS

    public static final int HTTPS

See Also:
  Constant Field Values

### SHTTP

    public static final int SHTTP

See Also:
  Constant Field Values

### HTTP_NG

    public static final int HTTP_NG

See Also:
  Constant Field Values

### HTTP_1_0

    public static final int HTTP_1_0

  some known http versions

  See Also:
    Constant Field Values

### HTTP_1_1

    public static final int HTTP_1_1

See Also:
  Constant Field Values

### CD_NONE

    public static final int CD_NONE

  Content delimiters

  See Also:
    Constant Field Values

### CD_HDRS

    public static final int CD_HDRS

See Also:
  Constant Field Values

### CD_0

    public static final int CD_0

See Also:
  Constant Field Values

### CD_CLOSE

    public static final int CD_CLOSE

See Also:
  Constant Field Values

### CD_CONTLEN

    public static final int CD_CONTLEN

See Also:
  Constant Field Values

### CD_CHUNKED

    public static final int CD_CHUNKED

See Also:
  Constant Field Values

### CD_MP_BR

    public static final int CD_MP_BR

See Also:
  Constant Field Values

Constructor Detail

### VerifyDigest

    public VerifyDigest(String HA1,
                        String nonce,
                        String method,
                        String uri,
                        String hdr,
                        RoResponse resp)

Method Detail

### verifyHash

    public void verifyHash(byte[] hash,
                           long len)
                    throws IOException

  Description copied from interface: `HashVerifier`
  This method is invoked when a digest of a stream has been calculated. It must verify that the hash (or some function of it) is correct and throw an IOException if it is not.

  Specified by:
    `verifyHash` in interface `HashVerifier`
  Parameters:
    `hash` - the calculated hash
    `len` - the number of bytes read from the stream
  Throws:
    `IOException` - if the verification fails.